void push(int iX, int iZ, int iY)

{
     
    
	
	void self = getlocalvar("self"); 
        void opp = getentityproperty(self, "opponent");
	
	if (getentityproperty(opp, "direction")==0)
             {                
     
         iX = -iX; 
              }
                      
	if (getentityproperty(opp, "a")<= 0 && getentityproperty(opp, "nodrop")== 0 && getentityproperty(opp, "nopain")== 0  && getentityproperty(opp, "type") != openborconstant("TYPE_OBSTACLE") ) 
         
              {
	        changeentityproperty(opp, "velocity", iX, iZ, iY); 
                 
              }
            
             
}





